<?php
	require_once 'class.liteMan.php';
	
$db = new liteMan();

$tables = array();
$tables[] = "CREATE TABLE albumy (
	album_id INTEGER PRIMARY KEY,
	tytul VARCHAR(255),
	wykonawca VARCHAR(255),
	data_wydania VARCHAR(255)
);
";
$tables[] = "CREATE TABLE utwory(
	utwor_id INTEGER PRIMARY KEY,
	album_id INTEGER,
	lp VARCHAR(32),
	utwor VARCHAR(255),
	czas VARCHAR(255)
);
";
$tables[] = "CREATE TABLE users(
	user_id INTEGER PRIMARY KEY,
	login VARCHAR(255),
	pass VARCHAR(255),
	qstring CHAR(32)
);
";	
foreach($tables as $query){
	$db->query($query);
}
echo "<p>UTWORZONO TABELE BAZY DANYCH</p>";


$test_login = 'mac';
$test_pass = 'mac123'; 
$test_user = "INSERT INTO users VALUES 
(NULL, '$test_login', '$test_pass', '');
";
$db->query($test_user);
echo "<p>DODANO TESTOWEGO UZYTKOWNIKA: login: $test_login & pass: $test_pass</p>";


$id_gramm = $db->dodajAlbum('Swiatla Miasta', 'Grammatik', '31.12.2000');
$gramm[0]['lp'] = "1.";
$gramm[0]['utwor'] = "Wiatruczas";
$gramm[0]['czas'] = "3:25";
$gramm[1]['lp'] = "2.";
$gramm[1]['utwor'] ="Nie ma czasu pomyslec";
$gramm[1]['czas'] = "4:45";
$gramm[2]['lp'] = "3.";
$gramm[2]['utwor'] = "Friko";
$gramm[2]['czas'] = "3:44";
for($i=0; $i<sizeof($gramm); $i++){
	$db->dodajUtwor($id_gramm, $gramm[$i]['lp'], $gramm[$i]['utwor'], $gramm[$i]['czas']);
}

$id_gramm = $db->dodajAlbum('EP', 'Grammatik', '12.03.1999');
$gramm[0]['lp'] = "1.";
$gramm[0]['utwor'] = "Moja historia";
$gramm[0]['czas'] = "3:37";
$gramm[1]['lp'] = "2.";
$gramm[1]['utwor'] ="Placze rymami";
$gramm[1]['czas'] = "4:17";
$gramm[2]['lp'] = "3.";
$gramm[2]['utwor'] = "Zawsze zywy";
$gramm[2]['czas'] = "4:04";
for($i=0; $i<sizeof($gramm); $i++){
	$db->dodajUtwor($id_gramm, $gramm[$i]['lp'], $gramm[$i]['utwor'], $gramm[$i]['czas']);
}

$db->dodajAlbum('Tytul1', 'Wykonawca1', '12.03.1999');
$db->dodajAlbum('Tytul2', 'Wykonawca2', '12.03.1999');
$db->dodajAlbum('Tytul3', 'Wykonawca3', '12.03.1999');
$db->dodajAlbum('Tytul4', 'Wykonawca4', '12.03.1999');
$db->dodajAlbum('Tytul5', 'Wykonawca5', '12.03.1999');
$db->dodajAlbum('Tytul6', 'Wykonawca6', '12.03.1999');
$db->dodajAlbum('Tytul7', 'Wykonawca7', '12.03.1999');
$db->dodajAlbum('Tytul8', 'Wykonawca8', '12.03.1999');
$db->dodajAlbum('Tytul9', 'Wykonawca9', '12.03.1999');
$db->dodajAlbum('Tytul10', 'Wykonawca10', '12.03.1999');
$db->dodajAlbum('Tytul11', 'Wykonawca11', '12.03.1999');



echo "<p>DODANO 2 PRZYKLADOWE ALBUMY Z 3 UTWORAMI+ 11 ALBUMOW BEZ UTWOROW!</p>";

?>